try:
    from setuptools import setup
except ImportError:
    from distutils.core import setup

from azurectl.version import __VERSION__

config = {
    'description': 'Manage Azure PubCloud Service',
    'author': 'PubCloud Development team',
    'url': 'https://github.com/SUSE/azurectl',
    'download_url': 'https://github.com/SUSE/azurectl',
    'author_email': 'public-cloud-dev@susecloud.net',
    'version': __VERSION__,
    'install_requires': [
        'docopt',
        'APScheduler',
        'pyliblzma',
        'azure_storage',
        'azure_servicemanagement_legacy',
        'python-dateutil',
        'dnspython'
    ],
    'packages': ['azurectl'],
    'entry_points': {
        'console_scripts': ['azurectl=azurectl.azurectl:main'],
    },
    'name': 'azurectl'
}

setup(**config)
